summaryrefslogtreecommitdiff
path: root/035
diff options
context:
space:
mode:
authorNathan Scott <nathans@sgi.com>2001-01-15 05:01:19 +0000
committerNathan Scott <nathans@sgi.com>2001-01-15 05:01:19 +0000
commit27fba05e66981c239c3be7a7e5a3aa0d8dc59247 (patch)
tree54d272e1e444a7608a407dc3c92398b1744831a5 /035
cmd/xfs/stress/001 1.6 Renamed to cmd/xfstests/001
Diffstat (limited to '035')
-rwxr-xr-x03568
1 files changed, 68 insertions, 0 deletions
diff --git a/035 b/035
new file mode 100755
index 00000000..909e2ff1
--- /dev/null
+++ b/035
@@ -0,0 +1,68 @@
+#! /bin/sh
+# XFS QA Test No. 035
+# $Id: 1.1 $
+#
+# Test doing multiple dumps to tape and restoring the 2nd one
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2000 Silicon Graphics, Inc. All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of version 2 of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+#
+# Further, this software is distributed without any warranty that it is
+# free of the rightful claim of any third person regarding infringement
+# or the like. Any license provided herein, whether implied or
+# otherwise, applies only to this software file. Patent licenses, if
+# any, provided herein do not apply to combinations of this program with
+# other software, or any other product whatsoever.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write the Free Software Foundation, Inc., 59
+# Temple Place - Suite 330, Boston MA 02111-1307, USA.
+#
+# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
+# Mountain View, CA 94043, or:
+#
+# http://www.sgi.com
+#
+# For further information regarding this notice, see:
+#
+# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
+#-----------------------------------------------------------------------
+#
+# creator
+owner=tes@sagan.melbourne.sgi.com
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.dump
+
+# real QA test starts here
+
+_require_tape
+_create_dumpdir_fill
+_erase_hard
+_do_dump -L $seq.1
+_rewind
+_create_dumpdir_fill2
+_do_dump -L $seq.2
+_do_restore -L $seq.2
+_diff_compare
+
+# success, all done
+status=0
+exit